/*!
 * wbm-firewall@1.2.3
 * 
 *   Copyright © 2020 WAGO Kontakttechnik GmbH & Co. KG
 * 
 *   License: 
 *     WAGO Software License Agreement
 * 
 *   Contributors:
 *     
 * 
 *   Description:
 *     Firewall Settings
 * 
 *   
 */
this["/firewall-services"]=function(e){var n={};function t(r){if(n[r])return n[r].exports;var a=n[r]={i:r,l:!1,exports:{}};return e[r].call(a.exports,a,a.exports,t),a.l=!0,a.exports}return t.m=e,t.c=n,t.d=function(e,n,r){t.o(e,n)||Object.defineProperty(e,n,{enumerable:!0,get:r})},t.r=function(e){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},t.t=function(e,n){if(1&n&&(e=t(e)),8&n)return e;if(4&n&&"object"==typeof e&&e&&e.__esModule)return e;var r=Object.create(null);if(t.r(r),Object.defineProperty(r,"default",{enumerable:!0,value:e}),2&n&&"string"!=typeof e)for(var a in e)t.d(r,a,function(n){return e[n]}.bind(null,a));return r},t.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return t.d(n,"a",n),n},t.o=function(e,n){return Object.prototype.hasOwnProperty.call(e,n)},t.p="",t(t.s=5)}([function(e,n,t){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.createBridgeLabel=function(e,n){void 0===n&&(n=null);var t,o=r.exec(e);if(o){var s=o[1].toLowerCase(),l=o[2];if(s in a){var c=l?" "+(parseInt(l)+1):"";return""+a[s]+c}}return""+(n?n+" ":"")+((t=e).charAt(0).toUpperCase()+t.slice(1))};var r=/^([a-zA-Z]+)([0-9]*)$/,a={br:"Bridge",wan:"WAN",vpn:"VPN"};n.isLegacyInterfaceName=function(e){return["X1","X2"].indexOf(e)>=0}},function(e,n,t){"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.sortInterfaces=function(e){return e.sort((function(e,n){return e.interface.localeCompare(n.interface,void 0,{numeric:!0,sensitivity:"base"})}))}},,,,function(e,n,t){"use strict";var r=this&&this.__assign||Object.assign||function(e){for(var n,t=1,r=arguments.length;t<r;t++)for(var a in n=arguments[t])Object.prototype.hasOwnProperty.call(n,a)&&(e[a]=n[a]);return e};Object.defineProperty(n,"__esModule",{value:!0});var a=t(1),o=t(0),s=[{name:"telnet",jsonKey:"telnet",label:"Telnet"},{name:"ftp",jsonKey:"ftp",label:"FTP"},{name:"ftps",jsonKey:"ftps",label:"FTPS"},{name:"http",jsonKey:"http",label:"HTTP"},{name:"https",jsonKey:"https",label:"HTTPS"},{name:"iocheck",jsonKey:"iocheck",label:"I/O Check"},{name:"codesysr",jsonKey:"codesysr",label:"PLC Runtime"},{name:"codesysw",jsonKey:"codesysw",label:"PLC WebVisu - direct link (port 8080)"},{name:"ssh",jsonKey:"ssh",label:"SSH"},{name:"tftp",jsonKey:"tftp",label:"TFTP"},{name:"dhcpd",jsonKey:"dhcpd",label:"BootP/DHCP"},{name:"dns",jsonKey:"dns",label:"DNS"},{name:"modbustcp",jsonKey:"modbus_tcp",label:"Modbus® TCP"},{name:"modbusudp",jsonKey:"modbus_udp",label:"Modbus® UDP"},{name:"snmp",jsonKey:"snmp",label:"SNMP"},{name:"opcua",jsonKey:"opcua",label:"OPC UA"},{name:"dnp3",jsonKey:"dnp3",label:"DNP3"},{name:"iec608705104",jsonKey:"iec60870_5_104",label:"IEC60870-5-104"},{name:"iec61850mms",jsonKey:"iec61850_mms",label:"IEC61850 (port 102)"},{name:"profinet",jsonKey:"profinet",label:"PROFINET IO"}];n.default=function(e){if(e instanceof Error){var n=s.map((function(e){return"firewall.interfaces.*.services."+e.name+".enabled"})),t=s.map((function(e){return"firewall.interfaces.*.services."+e.name+".label"}));n.concat(t).reduce((function(n,t){var a;return r({},n,((a={})[t]=e,a))}),{})}var l=JSON.parse(e).interfaces,c=a.sortInterfaces(Object.keys(l).map((function(e){return{interface:e}})));c=c.filter((function(e){return!o.isLegacyInterfaceName(e.interface)})),console.log(c);var i={};return c.forEach((function(e,n){s.forEach((function(t){var r="firewall.interfaces."+n+".services."+t.name+".label",a="firewall.interfaces."+n+".services."+t.name+".enabled";i[r]=t.label;try{var o=l[e.interface].services[t.jsonKey].state;i[a]="on"===o}catch(e){i[a]=e}}))})),i}}]).default;
//# sourceMappingURL=firewall-services.js.map